One game
curl --request GET \
--url https://api.vatic.trading/api/v1/games/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vatic.trading/api/v1/games/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vatic.trading/api/v1/games/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/games/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/games/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/games/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/games/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "espn:401879264",
"sport": "<string>",
"league": "<string>",
"status": "scheduled",
"home": {
"id": "soccer:espn:359",
"name": "<string>",
"abbreviation": "<string>",
"logo_url": "<string>",
"sport": "<string>",
"league": "<string>"
},
"away": {
"id": "soccer:espn:359",
"name": "<string>",
"abbreviation": "<string>",
"logo_url": "<string>",
"sport": "<string>",
"league": "<string>"
},
"time": {
"kickoff_at": "2023-11-07T05:31:56Z",
"est_end_at": "2023-11-07T05:31:56Z",
"end_p90_at": "2023-11-07T05:31:56Z",
"actual_end_at": "2023-11-07T05:31:56Z",
"est_basis": "<string>",
"previous_kickoffs": [
{}
]
},
"score": {
"home": 123,
"away": 123,
"clock": "67'",
"period": 123,
"detail": "HT",
"updated_at": "2023-11-07T05:31:56Z"
},
"spine": {
"source": "<string>",
"event_id": "<string>"
},
"supersedes": "<string>",
"redistributable": "yes",
"platforms": [
{
"source": "polymarket",
"confidence": "exact",
"redistributable": "yes",
"license_note": "<string>",
"events": 123,
"markets_stored": 123,
"last_seen": "2023-11-07T05:31:56Z"
}
],
"coverage": [
{
"source": "<string>",
"status": "listed",
"checked_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"as_of": "2023-11-07T05:31:56Z",
"redistributable_filter": "yes_only",
"venues_checked": [
"<string>"
],
"total": 123,
"withheld": {
"games": 123,
"reason": "<string>"
}
}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}Game Graph
Get a game
A single game with its platforms and coverage.
GET
/
api
/
v1
/
games
/
{id}
One game
curl --request GET \
--url https://api.vatic.trading/api/v1/games/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vatic.trading/api/v1/games/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vatic.trading/api/v1/games/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/games/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/games/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/games/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/games/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "espn:401879264",
"sport": "<string>",
"league": "<string>",
"status": "scheduled",
"home": {
"id": "soccer:espn:359",
"name": "<string>",
"abbreviation": "<string>",
"logo_url": "<string>",
"sport": "<string>",
"league": "<string>"
},
"away": {
"id": "soccer:espn:359",
"name": "<string>",
"abbreviation": "<string>",
"logo_url": "<string>",
"sport": "<string>",
"league": "<string>"
},
"time": {
"kickoff_at": "2023-11-07T05:31:56Z",
"est_end_at": "2023-11-07T05:31:56Z",
"end_p90_at": "2023-11-07T05:31:56Z",
"actual_end_at": "2023-11-07T05:31:56Z",
"est_basis": "<string>",
"previous_kickoffs": [
{}
]
},
"score": {
"home": 123,
"away": 123,
"clock": "67'",
"period": 123,
"detail": "HT",
"updated_at": "2023-11-07T05:31:56Z"
},
"spine": {
"source": "<string>",
"event_id": "<string>"
},
"supersedes": "<string>",
"redistributable": "yes",
"platforms": [
{
"source": "polymarket",
"confidence": "exact",
"redistributable": "yes",
"license_note": "<string>",
"events": 123,
"markets_stored": 123,
"last_seen": "2023-11-07T05:31:56Z"
}
],
"coverage": [
{
"source": "<string>",
"status": "listed",
"checked_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"as_of": "2023-11-07T05:31:56Z",
"redistributable_filter": "yes_only",
"venues_checked": [
"<string>"
],
"total": 123,
"withheld": {
"games": 123,
"reason": "<string>"
}
}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}Authorizations
Required for order endpoints. Obtain your API key from the Vatic dashboard.
Path Parameters
Game id, e.g. espn:401879264. An id that was replaced still resolves to the new game.
Example:
"espn:401879264"
Query Parameters
Was this page helpful?